Welcome topic

Welcome to use MagicISO
Top Next

MagicISO is a powerful and easy CD image file edit tool. It can create /edit /extract ISO files,make image files from CD-ROM or hard disk, and handle bootable information at meanwhile.It also can convert BIN or any other format file created by CD burning software (Such as Nero-Burning ROM, Easy CD Create) or virtual CD-ROM driver software (such as Daemon-tools) to standard ISO format.

It can process almost all CD-ROM image files including ISO and BIN. With MagicISO, you can add / delete / rename / extract file(s) within image files.You can convert image files to the standard ISO format and you have the ability to create ISO image file(s) from a CD-ROM.

MagicISO embed Windows Explorer and use the double window unification user contact interface.Use the quick button and the mouse Drag & Drops files between Windows Explorer and MagicISO so that you can handle the CD image file easy but powerful enough.

Copyright 2003 MagicISO Inc. All rights reserved.

Home Page: http://www.MagicISO.com
Email: support@MagicISO.com


System requirment

System requirment of MagicISO
Previous Top Next

· Windows XP, Windows 2000, ME, 98, 98SE, 95, OSR2 or Windows NT4.0 SP3+ operating system .

· Intel Pentium 133mHz or above.

· 64M memory.

· At least 10M extra hard disk space .

· CD-ROM, CD-R/RW, DVD-ROM, the DVD-R/RW driver (copy compact disc image needs).

· Mouse.


Main Features

· Process almost all CD-ROM image file(s) including ISO and BIN .

· Ability to directly add/delete/rename/extract file(s) within image files .

· Convert image files to the standard ISO format .

· Supports ISO 9660 Level1/2/3 and Joliet extension

· Duplicate disc to ISO file from CD-ROM .

· Windows Explorer is embed in MagicISO.

· You can convert almost all image file formats, including BIN, and save it as a standard ISO format file.

· Edit ISO file in many format(such as Nero burning ROM, Easy CD Creator, CDRWin, CloneCD, BlindWrite, etc).

· Select some files or directories, and then create the ISO based on these files.

· Make bootable ISO file.

· Because of its file associations, you can simply double click an ISO file in Windows Explorer to open it.

· Very easy to use interface but powerful enough for an expert.


Main Menu

"File" Menu

"New": Create new image file.
"Open": Open image file.
"Save": Save image file.
"Save as": Save the image file with new name.
"Reopen": User can open recent files.
"Exit": Close MagicISO

"Tools" Menu

"Make ISO from CDRom": User can use this tool to make own ISO(CD Image file) from CDROM so that user can save CD to user hard disk.

"ISO to BIN": Convert BIN (one of CD IMAGE FORMAT) to standard ISO format.
"BIN to ISO": Convert standard ISO format to BIN.
"Other format convert": Any CD image format to standard ISO format.

"Load Boot Image" Load boot image information from BOOT-IMAGE file and set boot image information to the current opened file.
"Save Boot Image" Save boot image information to BOOT-IMAGE file format.
"Clear Boot Image" Remove boot image information.

"Make boot image from floppy disk" make BOOT-IMAGE file from floppy disk.

"View" Menu

"Toolbar": Show or hide toolbar.
"Windows Explorer": Show or hide Windows Explorer


Toolbar

Toolbar is include buttons to new / open / save / save as image file and show the capability cauge of current image file.


ISO Editor Window

ISO Editor Windowinclude "ISO directory" tree, "ISO files" and a toolbar.

"ISO directory": Display directory tree of current ISO image, You can change directory by click on your desired item.
"ISO Files": display all files and folders under current directory. You can do all file manipulation through toolbar, pop-up menu or just Drag & Drop.
Toolbar include some speed buttons, such as file delete/rename/create new directory and add file or folder to ISO image.

Click right mouse button over "ISO FILES" to pop-up following menu.

"View": Use system default actionto open selected file.
"View with Notepad.exe": open selected file with notepad.exe. if the folder is selected ,then MagicISO will open it.
"Select All": Select all item in current selected folder.


File Browser(Windows Explorer)

File browser widow include "File Folders" tree, "Files List" and toolbar.

"Add Files": Add selected files or folder to current open image file.
"File Folders" display directory tree of your computer, include CD-ROM drive,hard disk,network. You can change drive and directory by click on your desired position.
"File List" display all files and folders under current directory. You can do all file manipulation through toolbar, pop-up menu or just Drag & Drop.


ISO File Properties Editor

The ISO file properties editor shows technical information about the currently opened ISO file or CD/DVD image file. Parameters that are displayed in this window depend on system-specifics and the format of ISO file. ISO File Properties Editor also give user the option to choose CDFS format (ISO9660,joliet,UDF); to edit label of volume, and keep volume serial number for preserve original CD/DVD status.

Label Properties

· "Volume Label": specify an identification of the volume.
· "System Identifier": an identification of a system which can recognize and act upon the content of the logical sectors with logical sector numbers 0 to 15 of the volume.
· "Volume Set": specify an identification of the volume set of which the volume is a member.
· "Publisher": specify an identification of the user who specified what shall be recorded on the volume group of which the volume is a member.
· "Data Preparer": specify an identification of the person or other entity which controls the preparation of the data to be recorded on the volume group of which the volume is a member.
· "Application": specify an identification of the specification of how the data are recorded on the volume group of which the volume is a member..
· "Copyright File": specify an identification for a file described by the root directory and containing a copyright statement for those volumes of the volume set the sequence numbers of which are less than, or equal to, the assigned volume set size of the volume.
· "Abstract File": specify an identification for a file described by the root directory and containing an abstract statement for those volumes of the volume set the sequence numbers of which are less than, or equal to, the assigned volume set size of the volume.
· "Bibliographic File": specify an identification for a file described by the root directory and containing bibliographic records interpreted according to standards that are the subject of an agreement between the originator and the recipient of the volume.
· "Also use the ISO9660 text for Joliet": if check this item, MagicISO will write the same contents in both ISO9660 and Joliet volume.

ISO Properties

· "Joliet": Check this item to set ISO file in Joliet format.
· "UDF": Check this item to set ISO file in UDF format.
· "Rock Ridge": Check this item to create Rock Ridge volume.
· "ISO Level 1": Check this item to set max of 11(8+3) characters for standard ISO9660 file and directory name length.
· "ISO Level 2": Check this item to set max of 31 characters for long name support.
· "Correct the serial number of Primary Volume Descriptor": Check this item to correct serial number of Primary Volume.
· "Correct the serial number of Secondary Volume Descriptor": Check this item to correct serial number of Secondary Volume.


Create a new image file

1. Click [image] to create new image file.

2. Drag your files or directories from "File Folders"/ "File List"/Windows Explorer into MagicISO. or click " [image] Add Files"/" [image] Add directory" to add.

3. Edit ISO Image. User can click [image] to create new folder, click [image] to delete files or folders, Press F2 or click [image] to rename files,folders and voume. Select files, Drag to destination folder then drop, you can move file position and copy file to new position with pressing CTRL.

4. Click [image] to save current ISO file. If it's newly created one, you need to enter the ISO file name. Click [image] to save as a new ISO file.

5. Saving files.


Edit image file

· Open ISO File

Click [image], the "Open ISO File" dialog will pop-up, select file and click "Open" button.

Or set disk path in "File Folders", then double click on filename in "Files List".

· Extract from ISO image

First.select files and folders in "ISO Files", and Click [image] to extract.

Or select files and folders in "ISO File" list and drag them to "File Folder" or "Files List" or Windows Explorer and other application then drop.

· Add File and folder

click " [image] Add Files"/" [image] Add directory" to add.

Or select files and folder in "File List", and click [image] to add.

Or drag files and folders from "File Folder" or "File List" or Windows Explorer and other application.

· Edit ISO Image file

Click [image] to create new folder.

click [image] to delete files or folders.

Press F2 or click [image] to rename files,folders and voume.

Select files, Drag to destination folder then drop, you can move file position and copy file to new position with pressing CTRL.

· Save ISO File

Click [image] to save current ISO file. If it's newly created one, you need to enter the ISO file name.

Click [image] to save as a new ISO file.


Make ISO from CDROM

Click [image] , The "Make ISO From CDRom" dialog will pop-up.

Select your CDROM drive which holds disc that you want to copy.and enter the name of ISO File. Click Ok to start.


Burn CD with CD image files

1. Click [image] to open "Burn CD!" Dialog

· "Choose your CD-R/W": lists all of available CD-R/RW recorder in your system.

· "CD Image File": User selects CD image file(include ISO,BIN,NRG,CIF ...etc) that user want to write it to CD.

· "CD-R/RW Write Speed": list all of available CD-R/RW write speed. choose it to control speed of burning CD.

· "Test Write": If the user checks this option, MagicISO will simulate writing CD image file to CD for detecting error.

· "Burn Proof": Verify data after writing.(Must be supported by your CD-R/RW recorder .

· Status Text: Shows status of current CD-R/RW recorder, If status text is in blue color,the CD-R/RW is ready for burning.

· "Erase": Click "Erase" button to bland CD-RW disc.Notes.

· "Burn It!": Click "Burn it!" button to start "burning CD" progress.

2. Choose your CD-R/RW Driver.

3. Choose CD image file that you want to burn to CD.

4. Choose CD-R/RW Write Speed in Speed Combox

5. Check optional "Test Write" or "Burn Proof"

6. If CD-RW in CD-R/RW recorder isn't blank,the user should click "Erase" button to bland it.

7. Click "Burn it!" button to start burning.


Export boot image from CDRom

Click " [image] Make ISO from CDRom" in "Tools" Menu, The "Make ISO From CDRom" dialog will pop-up.

Select your CDROM drive which holds disc that you want to export boot image.choose "Export Boot Image" and enter the name of IMAGE File. Click Ok to start.


Make boot image from floppy disk

Click " [image] Make boot image from floppy disk" in "Tools" Menu, and enter the name of boot image to save.


Make bootable ISO image

· Create New ISO File or Edit ISO File Exists

· Set boot image

Click [image] to set boot image file.

· Extract boot image from ISO

Click [image] to save boot image from ISO.

· Clear boot imformation

Click [image] to clear boot information in the current ISO File.


Convert ISO to BIN

· Click the 'Tools' menu and then select the 'ISO to BIN' option. The 'ISO to BIN convertor' window will pop-up.

· Input or select the name of ISO file which you want to convert.

· Input or select the name of BIN file to save .


Convert BIN to ISO

· Click the 'Tools' menu and then select the 'BIN to ISO' option. The 'BIN to ISO convertor' window will pop-up.

· Input or select the name of BIN file which you want to convert.

· Input or select the name of ISO file to save .


Any format convert to ISO

· Click the 'Tools' menu and then select the 'Any format convert ...' option. The 'Any format to ISO Convertor' window will pop-up.

· Input or select the name of any cd image file(*.bin;*.nrg;*.cif;*.vcd,*.fcd;*.mdf) which you want to convert.

· Input or select the name of ISO file to save .


MagicISO Command Line

Usage: miso Imagefile [commands]

Commands:

-f dir | Set the working directory in ImageFile, Default: \ (Root)
-a file/folder | Add files/folders into ImageFile
-x dir [wildcard] | Extracting files and folders with subfolder from ImageFile to directory
-c foldername | create new folder
-d wildcard | Delete the files/folders
-l VolumeLabel | Set volume label into image file
-aj | Create Joliet Volume
-rj | Remove Joliet Volume
-au | Create UDF Volume
-ru | Remove UDF Volume
-ar | Create Rock Ridge Volume
-rr | Remove Rock Ridge Volume
-ab BootFile | Make bootable iso file
-rb | Remove bootable information from ISO file
-l1 | ISO Level 1(DOS: Max. of 11 = 8+3 chars)
-l2 | ISO Level 2(Windows/Unix: Max. of 31 chars)

Examples:

miso tools.iso -c tools -c "back up\magiciso" -l "TOOLS CD"
1. Create tools folder in root directory
2. Create magiciso folder in "back up" folder
3. Set volume label to "TOOLS CD".
4. If tools.iso is not exist, then create tools.iso.

miso tools.iso -f tools -a *.exe -a "c:\compiler tools"
1. Add *.exe files into \tools
2. Add "c:\compiler tools" directory into \tools

miso tools.iso -f tools -x c:\tools *.exe
1. Extracting \tools\*.exe (with subfolder) to c:\tools

miso tools.iso -d *.exe
1. Delete *.exe

miso tools.iso -f "back up\magiciso" -d *.exe
1. Delete "\back up\magiciso\*.exe"

miso tools.iso -d *
1. Empty tools.iso


License

END-USER LICENSE AGREEMENT FOR MagicISO Computing Inc. SOFTWARE MagicISO
Previous Top Next

IMPORTANT - READ CAREFULLY: This MagicISO Computing Inc. End-User License Agreement is a legal agreement between you (either an individual or a single entity) and MagicISO Computing Inc. for the MagicISO Computing Inc. product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this End-User License Agreement, do not install or use the SOFTWARE PRODUCT; you may however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold. You may not rent, lease, or lend the SOFTWARE PRODUCT. You may permanently transfer all your rights under this End-User License Agreement, provided you retain no copies, you transfer all of the SOFTWARE PRODUCT and this End-User License Agreement, and the recipient agrees to the terms of this End-User License Agreement.

GRANT OF LICENSE

This program version may be installed on a maximum of two computers, so long as it is ONLY running on one system at any time: i.e. one installation at home and one installation at the office and used only by the licensee. The simultaneous use of this SOFTWARE PRODUCT by multiple personnel requires additional licenses. Use of this SOFTWARE PRODUCT over an internal network requires separate license for each user. The licensee shall not use, copy, rent, lease, sell, modify, decompile, disassemble, reverse engineer, or transfer the licensed SOFTWARE PRODUCT except as provided in this agreement. Any such unauthorized use shall result in immediate termination of this license.

All licenses will be issued in the name of the institution, company or school. Each additional license also allows a single user to use the SOFTWARE PRODUCT at home.

LIABILITY

We try to keep our SOFTWARE PRODUCT as bug free as possible. However, it is a general rule, Murphy's, that no software is ever error free, and the number of errors increases with the complexity of the program. We cannot guarantee that this SOFTWARE PRODUCT will run in every environment, on any Windows compatible machine, or together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In no event shall MagicISO Computing Inc. or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE PRODUCT. In any case, the liability is limited to the registration fee. Please evaluate this SOFTWARE PRODUCT with not critical data. Should you detect errors before registration, the user accepts the SOFTWARE PRODUCT errors after registration. Any description of SOFTWARE PRODUCT errors will be accepted, but we cannot guarantee that the errors can be corrected.

Thank you for your understanding and cooperation.

The MagicISO Team.


Order MagicISO

Individual user only cost US$29.95, and through the on-line payment way, may immediately obtain the registration code, obtains MagicISO legal copy software.

Online Order>>>

OEM service

Please contact support@magiciso.com


Technical support
Previous Top

· Please visits our website to check whether you got the newest edition of MagicISO software.

· The technical support is free. You may send your mail to support@MagicISO.com.

· In order to provide more accurate service, please provides the following information:
1. Whether the problem can reappear? How reappears?
2. What operating system you used (Windows 98, Windows 2000, Windows XP and so on).
3. Your MagicISO edition.
4. If has error prompts dialog box, please provides the whole error message, it is better to contain the screenshot capture.